class mystere:
    def __init__(self):
        self.Liste = [ ]

    def add(self, x):
        if len(self.Liste) == 0 or x >= self.Liste[ len(self.Liste)-1 ]:
            self.Liste.append(x)
        elif x < self.Liste[0]:
            self.Liste = [x] + self.Liste
        else:
            for i in range(len(self.Liste)):
                if x > self.Liste[i] and x <= self.Liste[i+1]:
                    self.Liste = self.Liste[:i+1] + [x]  + self.Liste[i+1:]
                    break